{{- if .Values.rbac.create }}
apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  name: {{ template "service-a.fullname" . }}
  namespace: {{ .Release.Namespace }}
  labels:
    app: {{ template "service-a.name" . }}
    chart: {{ template "service-a.chart" . }}
    heritage: {{ .Release.Service }}
    release: {{ .Release.Name }}
{{- if .Values.rbac.pspEnabled }}
rules:
- apiGroups:      ['*']
  resources:      ['*']
  verbs:          ['*']
  resourceNames:  [{{ template "service-a.fullname" . }}]
{{- end }}
{{- end }}
